<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/transparent">

        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="100dp"
            app:cardCornerRadius="20dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="1000dp"
                android:layout_height="wrap_content"
                android:minHeight="400dp">

                <ImageView
                    android:id="@+id/iv_dialog_close"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="20dp"
                    android:src="@mipmap/cancel"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:layout_margin="30dp"
                    android:text="@string/set_sensor"
                    android:textColor="#38ADFF"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <LinearLayout
                    android:id="@+id/linearLayout11"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="20dp"
                    android:gravity="center_horizontal"
                    android:orientation="vertical"
                    app:layout_constraintBottom_toTopOf="@+id/linearLayout2"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/tv_title">

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        app:cardCornerRadius="15dp"
                        app:cardElevation="10dp">

                        <LinearLayout
                            android:id="@+id/linearLayout20"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal"
                            android:paddingVertical="10dp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginHorizontal="10dp"
                                android:text="启用"
                                android:textAlignment="textEnd" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content" />

                            <com.google.android.material.materialswitch.MaterialSwitch
                                android:id="@+id/switcher"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                app:layout_constraintBottom_toBottomOf="parent"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <com.google.android.material.textfield.TextInputLayout
                                android:id="@+id/til_sensor_model"
                                style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginHorizontal="10dp"
                                android:layout_weight="3">

                                <AutoCompleteTextView
                                    android:id="@+id/ac_sensor_model"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:inputType="none" />

                            </com.google.android.material.textfield.TextInputLayout>

                            <com.google.android.material.textfield.TextInputLayout
                                android:id="@+id/til_sensor_address"
                                style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginHorizontal="10dp"
                                android:layout_weight="2">

                                <AutoCompleteTextView
                                    android:id="@+id/ac_address"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:inputType="none" />

                            </com.google.android.material.textfield.TextInputLayout>

                        </LinearLayout>


                    </androidx.cardview.widget.CardView>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="10dp"
                        android:layout_marginBottom="20dp"
                        app:cardCornerRadius="10dp"
                        app:cardElevation="10dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:paddingVertical="10dp">


                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="0dp"
                                android:layout_weight="1"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/tv_sensor_info"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_gravity="center"
                                    android:layout_weight="4"
                                    android:gravity="center" />


                                <Button
                                    android:id="@+id/btn_load_data"
                                    style="@style/Widget.Material3.Button.OutlinedButton"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_margin="20dp"
                                    android:text="@string/load"
                                    android:textColor="#FFDD00" />
                            </LinearLayout>
                        </LinearLayout>
                    </androidx.cardview.widget.CardView>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/linearLayout2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="20dp"
                    android:layout_marginBottom="10dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent">

                    <Button
                        android:id="@+id/btn_yes"
                        style="@style/Widget.Material3.Button.OutlinedButton"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="40dp"
                        android:paddingVertical="10dp"
                        android:text="@string/save" />


                </LinearLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>